WordPress.org

Ready to get started?Download WordPress

Plugin Directory

WPNewsman Lite

Powerful, easy to use, and easy to customize subscription and newsletter plugin

Requires: 3.5 or higher
Compatible up to: 4.0
Last Updated: 2014-6-25
Downloads: 30,558

Ratings

4 stars
5 out of 5 stars

Support

4 of 6 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1 100,1,1 100,1,1 100,1,1
50,2,1 100,1,1
0,1,0
100,1,1
100,1,1
100,1,1